// PulseGeneratorConnection
//  update: 11.06.03 17:52


#include "PulseGeneratorConnection.h"


#include "PulseGenerator.h"


#include "sys_include.h"


/////////////////////////////////// PUBLIC ///////////////////////////////////

// ** START ********************* lifecycle ******************************* //


PulseGeneratorConnection::PulseGeneratorConnection()
{
    mpPulseGen = NULL;
}


PulseGeneratorConnection::~PulseGeneratorConnection()
{
    assert(!mpPulseGen);
    
    // not a scoped connection. if the connection object is lost, no
    // disconnection ever is possible.
}


// ** END *********************** lifecycle ******************************* //

// ** START ********************* operators ******************************* //
// ** END *********************** operators ******************************* //


void PulseGeneratorConnection::Disconnect()
{
    assert(mpPulseGen);
    mpPulseGen->mDetach(mCode);
    mpPulseGen = NULL;
}


bool PulseGeneratorConnection::Connected() const
{
    return (bool)mpPulseGen;
}


///////////////////////////////// PROTECTED //////////////////////////////////

////////////////////////////////// PRIVATE ///////////////////////////////////


void PulseGeneratorConnection::mConnect(PulseGenerator* p, int code)
{
    assert(!mpPulseGen);
    mCode = code;
    mpPulseGen = p;
}

