// iGraphics. Drawable object interface.
//  update: 01.03.03 19:36


#include "iGraphics.h"


#include "sys_include.h"


using namespace std;


/////////////////////////////////// PUBLIC ///////////////////////////////////

// ** START ********************* lifecycle ******************************* //


iGraphics::iGraphics(): mBlendMode(ECopy)
{
}


iGraphics::~iGraphics()
{
}


// ** END *********************** lifecycle ******************************* //

// ** START ********************* operators ******************************* //
// ** END *********************** operators ******************************* //


void iGraphics::Coverage(RectMesh* pMesh, float x, float y)
{
    assert(false);
}

/*
void iGraphics::Changes(RectMesh* pMesh, float x, float y)
//RectMesh* iGraphics::Changes()
{
    // NOTE: i think you can safely remove this assert. and everything
    // works as it should.
    assert(false);
}
*/

bool iGraphics::IsOpaque()
{
    //assert(false); // you can safely remove this.
    if (ECopy == BlendMode()) return true;
    return false;
}


float iGraphics::Xsize(void)
{
    return 0;
}

    
float iGraphics::Ysize(void)
{
    return 0;
}


void iGraphics::BlendMode(E_BLEND_MODE mode)
{
	mBlendMode = mode;
}


iGraphics::E_BLEND_MODE iGraphics::BlendMode(void)
{
/*
	if (ECopy == mBlendMode)
        LOG("ECopy");
	else if (EMulti == mBlendMode)
        LOG("EMulti");
    else LOG("Unknown blend mode");
*/
	return mBlendMode;
}


///////////////////////////////// PROTECTED //////////////////////////////////

////////////////////////////////// PRIVATE ///////////////////////////////////

