// System include, by ETM.
//  update: 17.04.2001


// IMPORTANT:
// Look at the file sys_functions.h. There's the most important stuff
// (debug flags, global variables, and other platform-independent stuff that
// makes life a lot easier).

// IMPORTANT TOO:
// This file should be in your every header and cpp file.
// But it must be the last include file before implementation.

// fe. your .h or .cpp file might look like this:
//
// #include <iostream>
//
// #include "MyMath.h"
// #include "MyGraph.h"
//
// #include "sys_include.h"
//                          <- no more header files!
// class foo {...};
// ...


// ************** EVERYTHING IN HERE IS PLATFORM-INDEPENDENT ************** //


#ifndef _SYS_INCLUDE_H_
#define _SYS_INCLUDE_H_


#include "sys_functions.h"


// ** START ******************** declarations ***************************** //
// ** END ********************** declarations ***************************** //

// ** START ******************** definitions ****************************** //
// ** END ********************** definitions ****************************** //


#endif


// Intentionally outside #ifndef _SYS_INCLUDE_H_.
// Comment this when you don't want memory tracker even when in debug mode.
#ifdef MEM_DEBUG
    #include "mmgr.h"
#endif

