// FpsCounter.h: interface for the FpsCounter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __FPSCOUNTER_H__
#define __FPSCOUNTER_H__


#include "Ticker.h"


#include "sys_include.h"


class FpsCounter  
{
public:

	// If updateFreqency is 0, GetFreq will always return updated information.
	FpsCounter(float updateFreqency);
	virtual ~FpsCounter();

	void Tick(void);

	float GetFreq(void) const;

private:

    Ticker mTicker;

    float mFps;

    float mOutputUpdateTime;

	float mCount;

	float mElapsedTime;
};


#include "sys_include_end.h"


#endif
