// PulseGeneratorConnection
//  update: 10.06.03 18:38


#ifndef __PULSEGENERATORCONNECTION_H__
#define __PULSEGENERATORCONNECTION_H__


#include "iConnection.h"


#include "sys_include.h"


class PulseGeneratorConnection: public iConnection
{
public:

	PulseGeneratorConnection();
	~PulseGeneratorConnection();
	
    // connection management
    void Disconnect();
    bool Connected() const;


private:

    friend class PulseGenerator;
    
    int mCode;
    PulseGenerator* mpPulseGen;

    // only PulseGenerator is allowed to call it. actually, pulsegen shouldn't
    // do anything else.
    void mConnect(PulseGenerator* p, int code);
};


#include "sys_include_end.h"


#endif

