// Simple rectangle class, by ETM.
//  update: 13.06.03 18:06


// Ugly name. Was meant to be Rect of course. But gcc 3.2 couldn't find it
// in the methods of the Canvas class. Weird. grrr...


#ifndef _RECTA_H_
#define _RECTA_H_


#include "sys_include.h"


//////////////////////////////////////////////////////////////////////////////


class Recta {

public:

    // LIFECYCLE -------------------------------------------------------------

    Recta();

    // OPERATORS -------------------------------------------------------------

    // OPERATIONS ------------------------------------------------------------

	void Translate(float x, float y);
 	// up-left
	void Pos(float uLx, float uLy);
 	// up-left point is stationary.
	void Size(float xSize, float ySize);
 
	// down-right point coordinates stay.
	void Ulx(float x);
 	void Uly(float y);
  
	// up-left point coordinates stay.
	void Drx(float x);
 	void Dry(float y);
  
	// clips the current rectangle, so it fits inside the given one.
	// if the current rectangle is completely outside the given rect, no
    // changes will be made and return false. if all ok, return true.
	bool Clip(Recta& clipRect);
 
    // resizes the rectangle, so it contains the given coordinates.
	void Contain(float x, float y);
 
    // ACCESS ----------------------------------------------------------------

	float Ulx(void) const;
 	float Uly(void) const;
  	
	float Drx(void) const;
 	float Dry(void) const;
  
	float Xsize(void) const;
 	float Ysize(void) const;
  
    // INQUIRY ---------------------------------------------------------------

	// Overlapping is overlapping. When fe. only two edges coincidence, it's
    // not overlapping.
    bool IsOverlapping(Recta& rRect);
    
	// If this rect is inside the rRect. Edges can overlap.
    bool IsInside(Recta& rRect);

	// If (x, y) coincides with the upper or the left
	// edge, (x, y) is inside, intersects the rectangle.
	// But, if (x, y) coincides with the right-side edge or the bottom edge,
	// (x, y) does not intersect with the rectangle.
    bool Intersects(float x, float y);

    // True if no size.
    bool IsPoint();

    
private:

    float mUlx, mUly, mDrx, mDry;

};


//////////////////////////////////////////////////////////////////////////////


#include "sys_include_end.h"


#endif

