// simple math.. hard math...
//  update: 23.11.03 12:11

#include "mymath.h"

#include "sys_include.h"


using namespace std;


const float PI = 3.141592654f;



float dist(float x1, float y1, float x2, float y2)
{
    float dx = x2 - x1; float dy = y2 - y1;
    return sqrt(dx*dx + dy*dy);
}


// returns intersection of the line (x1 y1; x2 y2) and the line perpendicular
// and through point (px, py). returns also true, if the intersection point
// is on the line-segment.
bool calc_perpendicular_lineseg_point_intersection
         (float x1, float y1, float x2, float y2, float px, float py,
          float* answer_x, float* answer_y)
{              
    float u = ((px - x1) * (x2 - x1) + 
               (py - y1) * (y2 - y1)) /
              ((x2 - x1) * (x2 - x1) +
               (y2 - y1) * (y2 - y1));
          
    *answer_x = x1 + u * (x2 - x1);
    *answer_y = y1 + u * (y2 - y1);
    
    float& x = *answer_x;
    float& y = *answer_y;
    
    //float dsmall = 0.001f; // small number. floating point is haard. 
    //if (!(x < mp1.x - dsmall && x < mp2.x - dsmall || 
    //      x > mp1.x + dsmall && x > mp2.x + dsmall ||
    //      y < mp1.y - dsmall && y < mp2.y - dsmall || 
    //      y > mp1.y + dsmall && y > mp2.y + dsmall))*/
    if (!(x < x1 && x < x2 ||
          x > x1 && x > x2 ||
          y < y1 && y < y2 ||
          y > y1 && y > y2))
    {
        return true;
    }
    
    return false;
}

