// System include, by ETM.
//  update: 17.04.2001


// This file should be in your every header file.
// But it must be the last include file AFTER definitions and stuff like that.

// fe. your .h file might look like this:
//
// #ifndef _ONE_H_
// #define _ONE_H_
//
// #include <iostream>
//
// #include "MyMath.h"
// #include "MyGraph.h"
//
// #include "sys_include.h" <- also required :)
//                          <- no more header files!
// char GetOne() {...};
// ...
//
// #include "sys_include_h_last.h" <- HERE!
//                                 <- no more code
// #endif // _ONE_H_


// ************** EVERYTHING IN HERE IS PLATFORM-INDEPENDENT ************** //


#ifndef _SYS_INCLUDE_END_H_
#define _SYS_INCLUDE_END_H_


// ** START ******************** declarations ***************************** //
// ** END ********************** declarations ***************************** //

// ** START ******************** definitions ****************************** //
// ** END ********************** definitions ****************************** //


#endif // _SYS_INCLUDE_END_H_


// Intentionally outside #ifndef _SYS_INCLUDE_END_H_.
// Comment this when you don't want memory tracker even when in debug mode.
#ifdef MEM_DEBUG
#include "nommgr.h"
#endif

